This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 86113 - wvdial corruption (/usr/bin/wvdial: error while loading shared libraries: unexpected reloc type 0x05)
wvdial corruption (/usr/bin/wvdial: error while loading shared libraries: une...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-14 05:00 EST by Need Real Name
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 10:47:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-03-14 05:00:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a)
Gecko/20021207 Phoenix/0.5

Description of problem:
The command used to bring up my modem connection to the internet:
	/sbin/ifup ppp0
stopped working, and produced the following error message:
	Failed to activate ppp0 with error 8 (from man pppd ->The connect script failed
(returned a non-zero exit status))


Contents of file ppp0
	connect "/usr/bin/wvdial --remotename ppp0 --chat 'Virgin'"

Entering the command manually
	/usr/bin/wvdial --remotename ppp0 --chat 'Virgin'
produced the follwing error message
	/usr/bin/wvdial: error while loading shared libraries: unexpected reloc type 0x05

Action to solve problem
-----------------------
Erase and reinstall wvdial rpm
	rpm -e --nodeps wvdial
	rpm -i wvdial-xxxx.rpm
This fixed the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce


Additional info:

Redhat 8.0 fresh installation with ext3 filesystem and prelinking enabled.
P3-733 512MB ram, 30 & 120 GB HDDs.
All rpms up2date except kernel.
Comment 1 Miloslav Trmac 2003-03-14 11:07:44 EST
Do you use prelink?
I've had similar problems with prelink several times now.
Undoing prelinking fixed the problem, after prelinking
again this didn't occur any more (until after about a month
later...)
Comment 2 Need Real Name 2003-03-14 13:44:45 EST
Yes, I have prelinked (with options --all --conserve-memory)

It's going to be quite hard to reproduce this one though I think.
Comment 3 Miloslav Trmac 2003-03-14 18:21:53 EST
My guess would be as simple as:
* Prelink an executable relying on library
* Upgrade the library
Obviously this doesn't happen with all executables, but the fact
it happened to me *twice* with ghostscript indicates something.

I'll try to reproduce it on Sunday.

Note You need to log in before you can comment on or make changes to this bug.